// ////////////////////////////////////////////////////
//
// StdView.h : interface of the CStdView class
// Based on class COGLView : public CView
// Inspect COGLView for standard OpenGL initialization
//
////////////////////////////////////////////////////////
#include "oglview.h"

class CStdView : public COGLView
{
protected: 
	CStdView();
	DECLARE_DYNCREATE(CStdView)

// Operations
public:
	CStdDoc* GetDocument();
	virtual void DrawScene();
	virtual void InitializeRContext();
	virtual void SetPerspective(int cx, int cy);
	// DELOPPGAVE A
	GLfloat getX(GLfloat t,GLfloat rad);
	GLfloat getY(GLfloat t,GLfloat rad);
	GLfloat getZ(GLfloat t,GLfloat rad);
	//DELOPPGAVE B
	void DrawLoop();

	// changing angles
	float m_Vx,m_Vy;

	// points to track rotation
	CPoint m_PLast;

	// DELOPPGAVE C to handle kule
	GLfloat kule_x,kule_y,kule_z;
	BOOL KuleIsRunning;
	BOOL WeAreRunning;
	GLfloat kule_t;



// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CStdView)
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CStdView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CStdView)
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnKuleTest();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnRunSelf();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in StdView.cpp
inline CStdDoc* CStdView::GetDocument()
   { return (CStdDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////
